﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Net;

namespace xml2xlsx
{
    class GzipWebClient : WebClient
    {
        protected override WebRequest GetWebRequest(Uri uri)
        {
            if (uri.Scheme.ToLower() == "http")
            {
                HttpWebRequest request = (HttpWebRequest)base.GetWebRequest(uri);

                request.AutomaticDecompression = DecompressionMethods.GZip | DecompressionMethods.Deflate;

                return request;
            }
            else
            {
                return base.GetWebRequest(uri);
            }
        }
    }
}
